Pull Dataset
GEThttps://api.confident-ai.com/v1/datasets/{alias}
Retrieves a list of Goldens or ConversationalGoldens from your dataset.
curl -X GET "https://api.confident-ai.com/v1/datasets/{alias}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "string",
"version": "string",
"goldens": [
{
"input": "string",
"actualOutput": "string",
"expectedOutput": "string",
"retrievalContext": [
"string"
],
"context": [
"string"
],
"toolsCalled": [
{
"name": null,
"description": null,
"inputParameters": null,
"output": null,
"reasoning": null
}
],
"expectedTools": [
{
"name": null,
"description": null,
"inputParameters": null,
"output": null,
"reasoning": null
}
],
"additionalMetadata": {},
"comments": "string",
"sourceFile": "string",
"finalized": true,
"customColumnKeyValues": {}
}
]
}
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
aliasstringRequiredThe unique alias of the dataset.
Query parameters
versionstringVersion to pull. Defaults to the latest version.
finalizedenumdefault: trueFilter by finalized state. Defaults to
"true".
Response
successbooleanThis is true if the dataset was successfully pulled.
dataobject | objectShow 2 variantsHide 2 variants
Single-TurnobjectDataset with single-turn goldens
Show 3 propertiesHide 3 properties
idstringA unique identifier for a dataset
versionstringThe resolved version of the dataset returned.
nullif the dataset has no versions yet.goldenslist of objectsShow 12 propertiesHide 12 properties
inputstringThis is the input to your LLM application.
actualOutputstringThis is the actual output of your LLM application.
expectedOutputstringThis is the expected output of your LLM application, which is the ideal actual output.
retrievalContextlist of stringsThis is the retrieval context of your LLM application.
contextlist of stringsThis is the ideal retrieval context of your LLM application.
toolsCalledlist of objectsThis is the tools called by your LLM application.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
expectedToolslist of objectsThis is the expected tools to be called by the LLM application.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
additionalMetadataobjectThis is any additional metadata you wish to associate with the golden.
commentsstringThis is any comments you wish to associate with the golden.
sourceFilestringThis is the source file from which the golden was retrieved.
finalizedbooleanThis determines whether the golden has been finalized.
customColumnKeyValuesobjectKey-value pairs representing custom table column data for this golden. Keys correspond to the custom column keys defined in the dataset.
- OR
Multi-TurnobjectDataset with multi-turn goldens
Show 3 propertiesHide 3 properties
idstringA unique identifier for a dataset
versionstringThe resolved version of the dataset returned.
nullif the dataset has no versions yet.conversationalGoldenslist of objectsShow 10 propertiesHide 10 properties
scenariostringThis is a description of the conversation context.
userDescriptionstringThis is the description of the user in the conversation.
expectedOutcomestringThis describes the expected outcome, or ideal conversation flow, of the conversation.
turnslist of objectsThis is the list of turns in the conversation.
Show 5 propertiesHide 5 properties
roleenumThe role of the turn, either user or assistant.
Show 2 enum valuesHide 2 enum values
userassistant
contentstringThe message content of the turn.
userIdstringThe user ID associated with the turn.
retrievalContextlist of stringsThe contexts retrieved to generate the LLM response for this turn.
toolsCalledlist of objectsThe tools called to generate the LLM response for this turn.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
contextlist of stringsThis is the context of the conversation.
additionalMetadataobjectThis is any additional metadata you wish to associate with the golden.
commentsstringThis is any comments you wish to associate with the golden.
sourceFilestringThis is the source file from which the golden was retrieved.
finalizedbooleanThis determines whether the golden has been finalized.
customColumnKeyValuesobjectKey-value pairs representing custom table column data for this golden. Keys correspond to the custom column keys defined in the dataset.